Subject: Re: [PATCH 0/2] the cat-file -e option doesn't work as documented

From: Junio C Hamano <[email-masked]>
Date: Wed, 10 Jan 2018 12:43:46 -0800

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> The -e option to cat-file will emit output, after promising not to.
>
> We should take either 1/2 or 2/2, but not both. I'm partial to just
> documenting the existing behavior and dropping 2/2, it's useful to
> know if you passed in something that didn't look like a SHA-1.
>
> But if others disagree we can drop 1/2 and take 2/2. Up to you.
>
> Ævar Arnfjörð Bjarmason (2):
>   cat-file doc: document that -e will return some output
>   cat-file: -e should not emit output on stderr
>
>  Documentation/git-cat-file.txt | 7 ++++---
>  builtin/cat-file.c             | 8 ++++++--
>  t/t1006-cat-file.sh            | 7 +++++++
>  3 files changed, 17 insertions(+), 5 deletions(-)

I am kind of confused.  

When the doc there says "no output", I read it as "no output", and
no other restriction (like suppressing an error diagnosis, which is
not even sent to the standard output stream).